Attribute VB_Name = "ModuleMouse"
Private Const MOUSEEVENTF_ABSOLUTE = &H8000
Private Const MOUSEEVENTF_LEFTDOWN = &H2
Private Const MOUSEEVENTF_LEFTUP = &H4
Private Const MOUSEEVENTF_MIDDLEDOWN = &H20
Private Const MOUSEEVENTF_MIDDLEUP = &H40
Private Const MOUSEEVENTF_MOVE = &H1
Private Const MOUSEEVENTF_RIGHTDOWN = &H8
Private Const MOUSEEVENTF_RIGHTUP = &H10

Private Declare Sub mouse_event Lib "user32" (ByVal dwFlags As Long, ByVal dx As Long, ByVal dy As Long, ByVal cbuttons As Long, ByVal dwExtraInfo As Long)
Public Enum enButtonToClick
  btcLeft
  btcRight
  btcMiddle
End Enum

Public Function MouseClick(ByVal MBClick As enButtonToClick, Down As Boolean) As Boolean
  Dim cbuttons As Long
  Dim dwExtraInfo As Long
  Dim mevent As Long
  Select Case MBClick
    Case btcLeft
      If Down = True Then mevent = MOUSEEVENTF_LEFTDOWN Else mevent = MOUSEEVENTF_LEFTUP
    Case btcRight
      If Down = True Then mevent = MOUSEEVENTF_RIGHTDOWN Else mevent = MOUSEEVENTF_RIGHTUP
    Case btcMiddle
      If Down = True Then mevent = MOUSEEVENTF_MIDDLEDOWN Else mevent = MOUSEEVENTF_MIDDLEUP
    Case Else
      MouseClick = False
      Exit Function
  End Select
  mouse_event mevent, 0&, 0&, cbuttons, dwExtraInfo
  MouseClick = True
End Function

Public Function MouseFullClick(ByVal MBClick As enButtonToClick) As Boolean
  Dim cbuttons As Long
  Dim dwExtraInfo As Long
  Dim mevent As Long
  Select Case MBClick
    Case btcLeft
      mevent = MOUSEEVENTF_LEFTDOWN Or MOUSEEVENTF_LEFTUP
    Case btcRight
      mevent = MOUSEEVENTF_RIGHTDOWN Or MOUSEEVENTF_RIGHTUP
    Case btcMiddle
      mevent = MOUSEEVENTF_MIDDLEDOWN Or MOUSEEVENTF_MIDDLEUP
    Case Else
      MouseFullClick = False
      Exit Function
  End Select
  mouse_event mevent, 0&, 0&, cbuttons, dwExtraInfo
  MouseFullClick = True
End Function

